Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
locationinfo.h File Reference

## Classes
class | LocationInfo
| This class represents the location of a logging statement. More...

## Namespaces
| log4cxx
| log4cxx::spi

## Macros
#define | __LOG4CXX_FUNC__ ""
#define | LOG4CXX_LOCATION

## Macro Definition Documentation

#define __LOG4CXX_FUNC__ ""

#define LOG4CXX_LOCATION

Value:
::log4cxx::spi::LocationInfo(__FILE__, \
__LOG4CXX_FUNC__, \
__LINE__)
log4cxx::spi::LocationInfo
This class represents the location of a logging statement.
Definition: locationinfo.h:33
__LOG4CXX_FUNC__
#define __LOG4CXX_FUNC__
Definition: locationinfo.h:129